<?php if(!defined('PLX_ROOT')) exit; 	/**
	* Plugin 			plxNotifyMe
	*
	* @CMS required		PluXml 
	* @page				config.php
	* @version			1.2
	* @date				08/02/2025
	* @author 			gcyrillus
	░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░░
	░       ░░  ░░░░░░░  ░░░░  ░  ░░░░  ░░      ░░       ░░░      ░░  ░░░░░░░        ░░      ░░░░░   ░░░  ░        ░        ░
	▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒  ▒▒  ▒▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒  ▒▒▒▒▒▒▒▒▒▒    ▒▒  ▒  ▒▒▒▒▒▒▒▒▒▒  ▒▒▒▒
	▓       ▓▓  ▓▓▓▓▓▓▓  ▓▓▓▓  ▓▓▓    ▓▓▓  ▓▓▓▓  ▓       ▓▓  ▓▓▓▓  ▓  ▓▓▓▓▓▓▓▓▓▓  ▓▓▓▓▓      ▓▓▓▓▓  ▓  ▓  ▓      ▓▓▓▓▓▓  ▓▓▓▓
	█  ███████  ███████  ████  ██  ██  ██  ████  █  ███████  ████  █  ██████████  ██████████  ████  ██    █  ██████████  ████
	█  ███████        ██      ██  ████  ██      ██  ████████      ██        █        ██      ██  █  ███   █        ████  ████
	█████████████████████████████████████████████████████████████████████████████████████████████████████████████████████████
**/	
# Control du token du formulaire
plxToken::validateFormToken($_POST);

# Liste des langues disponibles et prises en charge par le plugin
$aLangs = array($plxAdmin->aConf['default_lang']);

# Si le plugin plxMyMultiLingue est installé on filtre sur les langues utilisées
# On garde par défaut le fr si aucune langue sélectionnée dans plxMyMultiLingue
if(defined('PLX_MYMULTILINGUE')) {
	$langs = plxMyMultiLingue::_Langs();
	$multiLangs = empty($langs) ? array() : explode(',', $langs);
	$aLangs = $multiLangs;
}
# on recupere la liste des catégories
$aCatsArray = array("000"=> L_FOR_SELECTION);

if($plxAdmin->aCats) {	
	foreach($plxAdmin->aCats as $Cat_num => $Cat_info) {
		if($Cat_info['active']==1) {
			$aCatsArray[$Cat_num] = $Cat_info['name']; 
			
		}
	}
	$a = array_keys($plxAdmin->aCats);
	rsort($a);
	} else {
	$a['0'] = 0;
}
$new_catid = str_pad($a['0']+1, 3, "0", STR_PAD_LEFT);

if(isset($_POST['new_category']) && !empty($_POST['new_catname'])) {
	
	if(in_array(plxUtils::strCheck($_POST['new_catname']), $aCatsArray, true)) {
		plxMsg::Error(L_ERR_CATEGORY_ALREADY_EXISTS.' : '.plxUtils::strCheck($_POST['new_catname']));
	}
	else {	 
	 
	
	$xml = file_get_contents(PLX_ROOT.'data/configuration/categories.xml');
	$document = new SimpleXMLExtended($xml);
	$categorie = $document->addChild('categorie');
	$categorie->addAttribute('number', $new_catid);
	$categorie->addAttribute('active' ,'1');
	$categorie->addAttribute('homepage','0');
	$categorie->addAttribute('tri','desc');
	$categorie->addAttribute('bypage','5');
	$categorie->addAttribute('menu','non');
	$categorie->addAttribute('url', plxUtils::urlify($_POST['new_catname']));
	$categorie->addAttribute('template','categorie.php');
	
	$categorie->addChild('name')->addCData($_POST['new_catname']);
	$categorie->addChild('description')->addCData('');
	$categorie->addChild('meta_description')->addCData($plxPlugin->getLang('L_CAT_NEWS_DESC'));
	$categorie->addChild('meta_keywords')->addCData($plxPlugin->getLang('L_CAT_NEWS_DESC'));
	$categorie->addChild('title_htmltag')->addCData('');
	$categorie->addChild('thumbnail')->addCData('plugins/'.basename(__DIR__).'/icon.png');
	$categorie->addChild('thumbnail_alt')->addCData('');
	$categorie->addChild('thumbnail_title')->addCData('');	
	
	$dom = new DomDocument();
	$dom->preserveWhiteSpace = false;
	$dom->formatOutput = true;
	$dom->loadXML($document->asXML());
	$dom->save(PLX_ROOT.'data/configuration/categories.xml');
	
	$plxPlugin->setParam('selectCat',$new_catid,'numeric') ;
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxNotifyMe');
	exit;
	}
}

if(!empty($_POST)) {
	$plxPlugin->setParam('selectCat',$_POST['selectCat'],'numeric') ;
	$plxPlugin->setParam('frmDisplay', $_POST['frmDisplay'], 'numeric');
	$plxPlugin->setParam('mnuDisplay', $_POST['mnuDisplay'], 'numeric');
	$plxPlugin->setParam('delay', $_POST['delay'], 'numeric');
	$plxPlugin->setParam('batch', $_POST['batch'], 'numeric');
	$plxPlugin->setParam('template', $_POST['template'], 'string');
	$plxPlugin->setParam('url', plxUtils::title2url($_POST['url']), 'string');
	$plxPlugin->setParam('method', $_POST['method'], 'string');	
	foreach($aLangs as $lang) {
		$plxPlugin->setParam('mnuName_'.$lang, $_POST['mnuName_'.$lang], 'string');
		$plxPlugin->setParam('placeholder_'.$lang, $_POST['placeholder_'.$lang], 'string');
		$plxPlugin->setParam('frmLibButton_'.$lang, $_POST['frmLibButton_'.$lang], 'string');
	}
	$plxPlugin->saveParams();
	if(is_file(PLX_ROOT.'.htaccess')) {
		$f = file_get_contents(PLX_ROOT.'.htaccess');
		$f = str_replace('[L]', '[QSA,L]', $f);
		plxUtils::write($f, PLX_ROOT.'.htaccess');
	}
	header('Location: parametres_plugin.php?p=plxNotifyMe');
	exit;
}

$var = array();
# initialisation des variables propres à chaque lanque
$langs = array();
foreach($aLangs as $lang) {
	# chargement de chaque fichier de langue
	$langs[$lang] = $plxPlugin->loadLang(PLX_PLUGINS.'plxNotifyMe/lang/'.$lang.'.php');
	$var[$lang]['mnuName'] =  $plxPlugin->getParam('mnuName_'.$lang)=='' ? $plxPlugin->getLang('L_DEFAULT_MENU_NAME') : $plxPlugin->getParam('mnuName_'.$lang);
	$var[$lang]['placeholder'] = $plxPlugin->getParam('placeholder_'.$lang)=='' ? '' : $plxPlugin->getParam('placeholder_'.$lang);
	$var[$lang]['frmLibButton'] =  $plxPlugin->getParam('frmLibButton_'.$lang)=='' ? $plxPlugin->getLang('L_FORM_BUTTON') : $plxPlugin->getParam('frmLibButton_'.$lang);
	$var[$lang]['checkboxes'] = $plxPlugin->getParam('checkboxes_'.$lang)=='' ? '' : $plxPlugin->getParam('checkboxes_'.$lang);
}
# initialisation des variables communes à chaque langue
$var['frmDisplay'] =  $plxPlugin->getParam('frmDisplay')=='' ? 1 : $plxPlugin->getParam('frmDisplay');
$var['mnuDisplay'] =  $plxPlugin->getParam('mnuDisplay')=='' ? 1 : $plxPlugin->getParam('mnuDisplay');
$var['delay'] =  $plxPlugin->getParam('delay')=='' ? 1 : $plxPlugin->getParam('delay');
$var['batch'] =  $plxPlugin->getParam('batch')=='' ? 5 : $plxPlugin->getParam('batch');
$var['mnuPos'] =  $plxPlugin->getParam('mnuPos')=='' ? 2 : $plxPlugin->getParam('mnuPos');
$var['template'] = $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');
$var['url'] = $plxPlugin->getParam('url')=='' ? 'info-lettre' : $plxPlugin->getParam('url');
$var['method'] =  $plxPlugin->getParam('method')=='' ? 'post' : $plxPlugin->getParam('method');

$var['selectCat'] =  $plxPlugin->getParam('selectCat')=='' ? 0 : $plxPlugin->getParam('selectCat');

# On récupère les templates des pages statiques
$glob = plxGlob::getInstance(PLX_ROOT . $plxAdmin->aConf['racine_themes'] . $plxAdmin->aConf['style'], false, true, '#^^static(?:-[\w-]+)?\.php$#');
if (!empty($glob->aFiles)) {
	$aTemplates = array();
	foreach($glob->aFiles as $v)
	$aTemplates[$v] = basename($v, '.php');
	} else {
	$aTemplates = array('' => L_NONE1);
}
/* end template */



?>
<link rel="stylesheet" type="text/css" href="<?= PLX_PLUGINS ?>plxNotifyMe/css/admin.css" media="screen" />
<div id="tabContainer">
	<form class="inline-form" id="form_plxNotifyMe" action="parametres_plugin.php?p=plxNotifyMe" method="post">
		<div class="tabs">
			<ul>
				<li id="tabHeader_config"><?php $plxPlugin->lang('L_CONFIG') ?></li>
				<li id="tabHeader_main"><?php $plxPlugin->lang('L_MAIN_PAGE') ?></li>
				<li id="tabHeader_cat"><?php $plxPlugin->lang('L_CATEGORIE') ?></li>
				<?php
					foreach($aLangs as $lang) {
						echo '<li id="tabHeader_'.$lang.'">'.strtoupper($lang).'</li>';
					}
				?>
			</ul>
		</div>
		<div class="tabscontent">
			<div class="tabpage" id="tabpage_config">
				<fieldset>
					<p>
						<label for="id_delay"><?php $plxPlugin->lang('L_DELAY') ?>&nbsp;:</label>
						<?php plxUtils::printInput('delay',$var['delay'],'number" min="0" max="60"','2-2') ?>
					</p>
					<p>
						<label for="id_batch"><?php $plxPlugin->lang('L_BATCH_SENDINGS') ?>&nbsp;:</label>
						<?php plxUtils::printInput('batch',$var['batch'],'number" min="1" max="100"','2-4') ?>
					</p>
					<p>
						<label for="id_method"><?php $plxPlugin->lang('L_METHOD') ?>&nbsp;:</label>
						<?php plxUtils::printSelect('method', array('post'=>'POST','get'=>'GET'), $var['method']) ?>
					</p>
				</fieldset>
			</div>
			<div class="tabpage" id="tabpage_main">
				<fieldset>
					<p>
						<label for="id_url"><?php $plxPlugin->lang('L_PARAM_URL') ?>&nbsp;:</label>
						<?php plxUtils::printInput('url',$var['url'],'text','20-20') ?>
					</p>
					<p>
						<label for="id_mnuDisplay"><?php echo $plxPlugin->lang('L_MENU_DISPLAY') ?>&nbsp;:</label>
						<?php plxUtils::printSelect('mnuDisplay',array('1'=>L_YES,'0'=>L_NO),$var['mnuDisplay']); ?>
					</p>
					<p>
						<label for="id_mnuPos"><?php $plxPlugin->lang('L_MENU_POS') ?>&nbsp;:</label>
						<?php plxUtils::printInput('mnuPos',$var['mnuPos'],'text','2-5') ?>
					</p>
					<p>
						<label for="id_template"><?php $plxPlugin->lang('L_TEMPLATE') ?>&nbsp;:</label>
						<?php plxUtils::printSelect('template', $aTemplates, $var['template']) ?>
					</p>
				</fieldset>
			</div>
			<div class="tabpage" id="tabpage_cat">
				<fieldset>
				<fieldset>
					<legend><?= L_ARTICLE_LIST_CATEGORIES ?> <?php $plxPlugin->lang('L_MAIN') ?></legend>
					<p>
						<label for="id_selectCat"><?= L_CATEGORIES_TABLE ?></label>
						<?php plxUtils::printSelect('selectCat', $aCatsArray, $var['selectCat']) ?>
					</p>
				</fieldset>
				<fieldset>
					<legend><?php $plxPlugin->lang('L_SELECT_NEW') ?> <?= L_NEW_CATEGORY ?></legend>
					<p>
						<?php plxUtils::printInput('new_catname','','text','17-50') ?>
						<input type="submit" name="new_category" value="<?php echo L_CATEGORY_ADD_BUTTON ?>" />
					</p>
					
					
				</fieldset>
				</fieldset>
			</div>
			<?php foreach($aLangs as $lang) : ?>
			<div class="tabpage" id="tabpage_<?php echo $lang ?>">
				<?php if(!file_exists(PLX_PLUGINS.'plxNotifyMe/lang/'.$lang.'.php')) : ?>
				<p><?php printf($plxPlugin->getLang('L_LANG_UNAVAILABLE'), PLX_PLUGINS.'plxNotifyMe/lang/'.$lang.'.php') ?></p>
				<?php else : ?>
				<fieldset>
					<p>
						<label for="id_mnuName_<?php echo $lang ?>"><?php $plxPlugin->lang('L_MENU_TITLE') ?>&nbsp;:</label>
						<?php plxUtils::printInput('mnuName_'.$lang,$var[$lang]['mnuName'],'text','20-20') ?>
					</p>
					<p>
						<label for="id_placeholder_<?php echo $lang ?>"><?php $plxPlugin->lang('L_PLACEHOLDER') ?>&nbsp;:</label>
						<?php plxUtils::printInput('placeholder_'.$lang,$var[$lang]['placeholder'],'text','20-30') ?>
					</p>
					<p>
						<label for="id_frmLibButton_<?php echo $lang ?>"><?php $plxPlugin->lang('L_MENU_LIB_BUTTON') ?>&nbsp;:</label>
						<?php plxUtils::printInput('frmLibButton_'.$lang,$var[$lang]['frmLibButton'],'text','20-20') ?>
					</p>
				</fieldset>
				<?php endif; ?>
			</div>
			<?php endforeach; ?>
		</div>
		<fieldset>
			<p class="in-action-bar">
				<?php echo plxToken::getTokenPostMethod() ?>
				<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />
			</p>
		</fieldset>
	</form>
</div>
<script type="text/javascript" src="<?php echo PLX_PLUGINS."plxNotifyMe/tabs/tabs.js" ?>"></script>
